Last Comment Bug 389924 - [FIXr]Inserting a caption into a table doesn't work
: [FIXr]Inserting a caption into a table doesn't work
Status: RESOLVED FIXED
regression from bug 309322
: fixed1.8.1.8, regression
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9beta1
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: 309322
  Show dependency treegraph
 
Reported: 2007-07-27 20:11 PDT by Boris Zbarsky [:bz]
Modified: 2008-02-19 08:53 PST (History)
3 users (show)
dveditz: blocking1.8.1.8+
caillon: blocking1.8.0.next+
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix (4.03 KB, patch)
2007-07-27 20:18 PDT, Boris Zbarsky [:bz]
bernd_mozilla: review+
dbaron: superreview+
dbaron: approval1.9+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] 2007-07-27 20:11:42 PDT
This is a regression from bug 309322.  We're not reflowing the new caption...
Comment 1 Boris Zbarsky [:bz] 2007-07-27 20:13:04 PDT
Requesting the same blocking flags that bug 309322 has.
Comment 2 Boris Zbarsky [:bz] 2007-07-27 20:18:43 PDT
Created attachment 274251 [details] [diff] [review]
Fix
Comment 3 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2007-07-28 08:54:37 PDT
Comment on attachment 274251 [details] [diff] [review]
Fix

sr=dbaron
Comment 4 Boris Zbarsky [:bz] 2007-08-01 21:46:20 PDT
Comment on attachment 274251 [details] [diff] [review]
Fix

Make sure to mark a caption being inserted dynamically into a table as needing reflow.  Very safe regression fix.
Comment 5 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2007-08-02 13:43:52 PDT
Comment on attachment 274251 [details] [diff] [review]
Fix

a19=dbaron
Comment 6 Boris Zbarsky [:bz] 2007-08-02 14:35:07 PDT
Fixed.
Comment 7 Daniel Veditz [:dveditz] 2007-10-04 08:24:56 PDT
What did we use for PresShell::FrameNeedsReflow() on the 1.8 branch? I don't know how to back-port this one.
Comment 8 Boris Zbarsky [:bz] 2007-10-04 08:54:20 PDT
Basically, nsTableOuterFrame::InsertFrames needs to do what nsTableOuterFrame::AppendFrames does (on branch, that uses AppendReflowCommand).
Comment 9 Daniel Veditz [:dveditz] 2007-10-04 11:37:48 PDT
thanks, that fixed the regression. I think I'll wrap all these regressions up into a combined 1.8 branch patch for re-review.
Comment 10 Daniel Veditz [:dveditz] 2007-10-04 14:43:44 PDT
branch fix checked in with bug 309322
Comment 11 Daniel Veditz [:dveditz] 2007-12-03 14:28:09 PST
Needed on the 1.8.0 branch only if bug 309322 lands.
Comment 12 Christopher Aillon (sabbatical, not receiving bugmail) 2008-02-19 08:53:25 PST
Since 309322 is marked blocking1.8.0.15+ carrying over blocking to this bug too.

Note You need to log in before you can comment on or make changes to this bug.